Skip to main content
GET
/
organizations
cURL
curl --request GET \
  --url https://www.greenflash.ai/api/v1/organizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "org-001",
    "externalId": "org-456",
    "name": "Acme Corporation",
    "properties": {
      "industry": "technology"
    },
    "createdAt": "2025-01-15T10:00:00Z",
    "updatedAt": "2025-01-15T10:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:50

Maximum number of results to return.

Required range: 1 <= x <= 100
offset
number

Offset for pagination.

Required range: x >= 0
page
number

Page number (used to derive offset = (page-1)*limit).

Required range: x >= 1

Response

Organizations retrieved successfully

id
string
required

The Greenflash organization ID.

properties
object
required

Custom organization properties.

externalId
string

Your external organization ID.

name
string

The organization name.

createdAt
string<date-time>

When the organization was first created.

updatedAt
string<date-time>

When the organization was last updated.